diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-activate.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-activate.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-activate.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-activate.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 1,4 ****
--- 1,12 ----
  <?php
+ /**
+  * Confirms that the activation key that is sent in an email after a user signs
+  * up for a new blog matches the key for that user and then displays confirmation.
+  *
+  * @package WordPress
+  */
+ 
+ /** Define ABSPATH as this file's directory */
  define( 'WP_INSTALLING', true );
  
  /** Sets up the WordPress Environment. */
***************
*** 16,26 ****
--- 24,44 ----
  
  do_action( 'activate_header' );
  
+ /**
+  * Adds an action hook specific to this page that fires on wp_head
+  *
+  * @since MU
+  */
  function do_activate_header() {
  	do_action( 'activate_wp_head' );
  }
  add_action( 'wp_head', 'do_activate_header' );
  
+ /**
+  * Loads styles specific to this page.
+  *
+  * @since MU
+  */
  function wpmu_activate_stylesheet() {
  	?>
  	<style type="text/css">
***************
*** 77,83 ****
  		} else {
  			extract($result);
  			$url = get_blogaddress_by_id( (int) $blog_id);
! 			$user = new WP_User( (int) $user_id);
  			?>
  			<h2><?php _e('Your account is now active!'); ?></h2>
  
--- 95,101 ----
  		} else {
  			extract($result);
  			$url = get_blogaddress_by_id( (int) $blog_id);
! 			$user = get_userdata( (int) $user_id);
  			?>
  			<h2><?php _e('Your account is now active!'); ?></h2>
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/about.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/about.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/about.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/about.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 19,25 ****
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! WordPress %s is already making your website better, faster, and more attractive, just like you!' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
--- 19,25 ----
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! WordPress %s is more polished and enjoyable than ever before. We hope you like it.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
***************
*** 33,133 ****
  	</a>
  </h2>
  
- <div class="changelog point-releases">
- 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 2 ); ?></h3>
- 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
-          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 20 ), '3.4.2', number_format_i18n( 20 ) ); ?>
- 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.4.2' ); ?>
-  	</p>
- 
- 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
-          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 21 ), '3.4.1', number_format_i18n( 21 ) ); ?>
- 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.4.1' ); ?>
-  	</p>
- </div>
- 
  <div class="changelog">
! 	<h3><?php _e( 'Live Theme Previews' ); ?></h3>
  
! 	<div class="feature-section images-stagger-right">
! 		<img src="<?php echo esc_url( admin_url( 'images/screenshots/theme-customizer.png' ) ); ?>" class="image-50" />
! 		<h4><?php _e( 'Try on New Themes' ); ?></h4>
! 		<p><?php _e( 'Gone are the days of rushing to update your header, background, and the like as soon as you activate a new theme. You can now customize these options <strong>before</strong> activating a new theme. Note: this feature is available for installed themes only.' ); ?></p>
  
! 		<h4><?php _e( 'Customize Current Theme' ); ?></h4>
! 		<p><?php _e( 'Satisfy your curiosity and try on a fresh coat of paint &mdash; you can also use the live preview mode to customize your current theme. Look for the Customize link on the Themes screen.' ); ?></p>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'Custom Headers' ); ?></h3>
! 
! 	<div class="feature-section">
! 		<h4><?php _e( 'Flexible Sizes' ); ?></h4>
! 		<p><?php _e( 'You can decide for yourself how tall or wide your custom header image should be. From now on, themes will provide a recommended image size for custom headers rather than a fixed requirement. Note: this feature requires <a href="http://codex.wordpress.org/Custom_Headers">theme support</a>.' ); ?></p>
! 		<div class="three-col-images">
! 			<img src="<?php echo esc_url( admin_url( 'images/screenshots/flex-header-1.png' ) ); ?>" class="image-30 first-feature" />
! 			<img src="<?php echo esc_url( admin_url( 'images/screenshots/flex-header-2.png' ) ); ?>" class="image-30" />
! 			<img src="<?php echo esc_url( admin_url( 'images/screenshots/flex-header-3.png' ) ); ?>" class="image-30 last-feature" />
! 		</div>
! 	</div>
  
  	<div class="feature-section images-stagger-right">
! 		<img src="<?php echo esc_url( admin_url( 'images/screenshots/flex-header-media-library.png' ) ); ?>" class="image-50" />
! 		<h4><?php _e( 'Choose from Media Library' ); ?></h4>
! 		<p><?php _e( 'Tired of re-uploading the same custom header image every time you check out a new theme? Now you can choose header images from your media library for easier customization.' ); ?></p>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'Twitter Embeds' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<img src="<?php echo esc_url( admin_url( 'images/screenshots/twitter-embed-1.png' ) ); ?>" class="image-30" />
! 		<img src="<?php echo esc_url( admin_url( 'images/screenshots/twitter-embed-2.png' ) ); ?>" class="image-30" />
! 		<h4><?php _e( 'Share Tweets with Style' ); ?></h4>
! 		<p><?php _e( 'You can now embed individual tweets in posts. It includes action links that allow readers to reply to, retweet, and favorite the tweet without leaving your site. Just paste a tweet URL on its own line.' ); ?></p>
! 		<p><?php printf( __( 'This works with URLs from some other sites, too. For more, see the Codex article on <a href="%s">Embeds</a>.' ), __( 'http://codex.wordpress.org/Embeds' ) ); ?></p>
  	</div>
- 
  </div>
  
- 
  <div class="changelog">
! 	<h3><?php _e( 'Better Captions' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<img src="<?php echo esc_url( admin_url( 'images/screenshots/captions-1.png' ) ); ?>" class="image-30" />
! 		<img src="<?php echo esc_url( admin_url( 'images/screenshots/captions-2.png' ) ); ?>" class="image-30" />
! 		<h4><?php _e( 'HTML Support' ); ?></h4>
! 		<p><?php _e( 'Basic HTML support has been added to the caption field in the image uploader. This allows you to add links &mdash; great for photo credits or licensing details &mdash; and basic formatting such as bold and italicized text.' ); ?></p>
  	</div>
  </div>
  
  <div class="changelog">
  	<h3><?php _e( 'Under the Hood' ); ?></h3>
  
! 	<div class="feature-section three-col">
  		<div>
! 			<h4><?php _e( 'Faster WP_Query' ); ?></h4>
! 			<p><?php _e( 'Post queries have been optimized to improve performance, especially for sites with large databases.' ); ?></p>
! 
! 			<h4><?php _e( 'Faster Translations' ); ?></h4>
! 			<p><?php _e( 'The number of strings loaded on the front end was greatly reduced, resulting in faster front page load times for localized installations.' ); ?> <?php _e( 'Also, better support for East Asian languages, right-to-left languages, theme translations, and more.' ); ?></p>
  		</div>
  		<div>
! 			<h4><?php _e( 'Themes API' ); ?></h4>
! 			<p><?php _e( 'WP_Theme, wp_get_themes(), wp_get_theme(). Faster, uses less memory, makes use of persistent caching.' ); ?></p>
! 
! 			<h4><?php _e( 'Custom Header and Background API' ); ?></h4>
! 			<p><?php  _e( 'Custom header and background API relocated into the theme support API.' ); ?></p>
  		</div>
  		<div class="last-feature">
! 			<h4><?php _e( 'XML-RPC API' ); ?></h4>
! 			<p><?php printf( __( 'A new <a href="%s">WordPress API</a> that supports custom content types and taxonomies, as well as dozens of other bug fixes and improvements.' ), __( 'http://codex.wordpress.org/XML-RPC_WordPress_API' ) ); ?></p>
  
  			<h4><?php _e( 'External Libraries' ); ?></h4>
! 			<p><?php _e( 'jQuery, jQuery UI, TinyMCE, Plupload, PHPMailer, SimplePie, and other libraries were updated. jQuery UI Touch Punch was introduced.' ); ?></p>
  		</div>
  	</div>
  </div>
--- 33,120 ----
  	</a>
  </h2>
  
  <div class="changelog">
! 	<h3><?php _e( 'New Media Manager' ); ?></h3>
  
! 	<div class="feature-section col two-col">
! 		<img alt="" src="<?php echo esc_url( admin_url( 'images/screenshots/about-media.png' ) ); ?>" class="image-100" />
  
! 		<div>
! 			<h4><?php _e( 'Beautiful Interface' ); ?></h4>
! 			<p><?php _e( 'Adding media has been streamlined with an all-new experience, making it a breeze to upload files and place them into your posts.' ); ?></p>
! 		</div>
! 		<div class="last-feature">
! 			<h4><?php _e( 'Picturesque Galleries' ); ?></h4>
! 			<p><?php _e( 'Creating image galleries is faster with drag and drop reordering, inline caption editing, and simplified controls for layout.' ); ?></p>
! 		</div>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'New Default Theme' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo esc_url( admin_url( 'images/screenshots/about-twenty-twelve.png' ) ); ?>" class="image-66" />
! 		<h4><?php _e( 'Introducing Twenty Twelve' ); ?></h4>
! 		<p><?php _e( 'The newest default theme for WordPress is simple, flexible, and elegant.' ); ?></p>
! 		<p><?php _e( 'What makes it really shine are the design details, like the gorgeous Open Sans typeface and a fully responsive design that looks great on any device.' ); ?></p>
! 		<p><?php _e( 'Naturally, Twenty Twelve supports all the theme features you’ve come to know and love, but it is also designed to be as great for a website as it is for a blog.' ); ?></p>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'Retina Ready' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo esc_url( admin_url( 'images/screenshots/about-retina.png' ) ); ?>" class="image-66" />
! 		<h4><?php _e( 'So Sharp You Can&#8217;t See the Pixels' ); ?></h4>
! 		<p><?php _e( 'The WordPress dashboard now looks beautiful on high-resolution screens like those found on the iPad, Kindle Fire HD, Nexus 10, and MacBook Pro with Retina Display. Icons and other visual elements are crystal clear and full of detail.' ); ?></p>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'Smoother Experience' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo esc_url( admin_url( 'images/screenshots/about-color-picker.png' ) ); ?>" class="image-30" />
! 		<h4><?php _e( 'Better Accessibility' ); ?></h4>
! 		<p><?php _e( 'WordPress supports more usage modes than ever before. Screenreaders, touch devices, and mouseless workflows all have improved ease of use and accessibility.' ); ?></p>
! 
! 		<h4><?php _e( 'More Polish' ); ?></h4>
! 		<p><?php _e( 'A number of screens and controls have been refined. For example, a new color picker makes it easier for you to choose that perfect shade of blue.' ); ?></p>
  	</div>
  </div>
  
  <div class="changelog">
  	<h3><?php _e( 'Under the Hood' ); ?></h3>
  
! 	<div class="feature-section col three-col">
  		<div>
! 			<h4><?php _e( 'Meta Query Additions' ); ?></h4>
! 			<p><?php _e( 'The <code>WP_Comment_Query</code> and <code>WP_User_Query</code> classes now support meta queries just like <code>WP_Query.</code> Meta queries now support querying for objects without a particular meta key.' ); ?></p>
  		</div>
  		<div>
! 			<h4><?php _e( 'Post Objects' ); ?></h4>
! 			<p><?php _e( 'Post objects are now instances of a <code>WP_Post</code> class, which improves performance by loading selected properties on demand.' ); ?></p>
  		</div>
  		<div class="last-feature">
! 			<h4><?php _e( 'Image Editing API' ); ?></h4>
! 			<p><?php _e( 'The <code>WP_Image_Editor</code> class abstracts image editing functionality such as cropping and scaling, and uses ImageMagick when available.' ); ?></p>
! 		</div>
! 	</div>
  
+ 	<div class="feature-section col three-col">
+ 		<div>
+ 			<h4><?php _e( 'Multisite Improvements' ); ?></h4>
+ 			<p><?php _e( '<code>switch_to_blog()</code> is now significantly faster and more reliable.' ); ?></p>
+ 		</div>
+ 		<div>
+ 			<h4><?php _e( 'XML-RPC API' ); ?></h4>
+ 			<p><?php printf( __( 'The <a href="%s">WordPress API</a> is now always enabled, and supports fetching users, editing profiles, managing post revisions, and searching posts.' ), __( 'http://codex.wordpress.org/XML-RPC_WordPress_API' ) ); ?></p>
+ 		</div>
+ 		<div class="last-feature">
  			<h4><?php _e( 'External Libraries' ); ?></h4>
! 			<p><?php printf( __( 'WordPress now includes the <a href="%1$s">Underscore</a> and <a href="%2$s">Backbone</a> JavaScript libraries. TinyMCE, jQuery, jQuery UI, and SimplePie have all been updated to the latest versions.' ), 'http://underscorejs.org/', 'http://backbonejs.org/' ); ?></p>
  		</div>
  	</div>
  </div>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/admin-ajax.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/admin-ajax.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/admin-ajax.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/admin-ajax.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 16,28 ****
  define( 'DOING_AJAX', true );
  define( 'WP_ADMIN', true );
  
  // Require an action parameter
  if ( empty( $_REQUEST['action'] ) )
  	die( '0' );
  
- /** Load WordPress Bootstrap */
- require_once( dirname( dirname( __FILE__ ) ) . '/wp-load.php' );
- 
  /** Load WordPress Administration APIs */
  require_once( ABSPATH . 'wp-admin/includes/admin.php' );
  
--- 16,31 ----
  define( 'DOING_AJAX', true );
  define( 'WP_ADMIN', true );
  
+ /** Load WordPress Bootstrap */
+ require_once( dirname( dirname( __FILE__ ) ) . '/wp-load.php' );
+ 
+ /** Allow for cross-domain requests (from the frontend). */
+ send_origin_headers();
+ 
  // Require an action parameter
  if ( empty( $_REQUEST['action'] ) )
  	die( '0' );
  
  /** Load WordPress Administration APIs */
  require_once( ABSPATH . 'wp-admin/includes/admin.php' );
  
***************
*** 33,38 ****
--- 36,42 ----
  @header( 'X-Robots-Tag: noindex' );
  
  send_nosniff_header();
+ nocache_headers();
  
  do_action( 'admin_init' );
  
***************
*** 50,56 ****
  	'menu-locations-save', 'menu-quick-search', 'meta-box-order', 'get-permalink',
  	'sample-permalink', 'inline-save', 'inline-save-tax', 'find_posts', 'widgets-order',
  	'save-widget', 'set-post-thumbnail', 'date_format', 'time_format', 'wp-fullscreen-save-post',
! 	'wp-remove-post-lock', 'dismiss-wp-pointer', 'upload-attachment',
  );
  
  // Register core Ajax calls.
--- 54,62 ----
  	'menu-locations-save', 'menu-quick-search', 'meta-box-order', 'get-permalink',
  	'sample-permalink', 'inline-save', 'inline-save-tax', 'find_posts', 'widgets-order',
  	'save-widget', 'set-post-thumbnail', 'date_format', 'time_format', 'wp-fullscreen-save-post',
! 	'wp-remove-post-lock', 'dismiss-wp-pointer', 'upload-attachment', 'get-attachment',
! 	'query-attachments', 'save-attachment', 'save-attachment-compat', 'send-link-to-editor',
! 	'send-attachment-to-editor', 'save-attachment-order',
  );
  
  // Register core Ajax calls.
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/admin-footer.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/admin-footer.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/admin-footer.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/admin-footer.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 15,31 ****
  <div class="clear"></div></div><!-- wpbody -->
  <div class="clear"></div></div><!-- wpcontent -->
  
! <div id="footer">
  <?php do_action( 'in_admin_footer' ); ?>
  <p id="footer-left" class="alignleft"><?php
! $upgrade = apply_filters( 'update_footer', '' );
! $footer_text = array(
! 	'<span id="footer-thankyou">' . __( 'Thank you for creating with <a href="http://wordpress.org/">WordPress</a>.' ) . '</span>',
! );
! echo apply_filters( 'admin_footer_text', implode( ' &bull; ', $footer_text ) );
! unset( $footer_text );
  ?></p>
! <p id="footer-upgrade" class="alignright"><?php echo $upgrade; ?></p>
  <div class="clear"></div>
  </div>
  <?php
--- 15,26 ----
  <div class="clear"></div></div><!-- wpbody -->
  <div class="clear"></div></div><!-- wpcontent -->
  
! <div id="wpfooter">
  <?php do_action( 'in_admin_footer' ); ?>
  <p id="footer-left" class="alignleft"><?php
! echo apply_filters( 'admin_footer_text', '<span id="footer-thankyou">' . __( 'Thank you for creating with <a href="http://wordpress.org/">WordPress</a>.' ) . '</span>' );
  ?></p>
! <p id="footer-upgrade" class="alignright"><?php echo apply_filters( 'update_footer', '' ); ?></p>
  <div class="clear"></div>
  </div>
  <?php
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/admin-header.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/admin-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/admin-header.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/admin-header.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 50,61 ****
  ?>
  <script type="text/javascript">
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
! var userSettings = {
! 		'url': '<?php echo SITECOOKIEPATH; ?>',
! 		'uid': '<?php if ( ! isset($current_user) ) $current_user = wp_get_current_user(); echo $current_user->ID; ?>',
! 		'time':'<?php echo time() ?>'
! 	},
! 	ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>',
  	pagenow = '<?php echo $current_screen->id; ?>',
  	typenow = '<?php echo $current_screen->post_type; ?>',
  	adminpage = '<?php echo $admin_body_class; ?>',
--- 50,56 ----
  ?>
  <script type="text/javascript">
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
! var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>',
  	pagenow = '<?php echo $current_screen->id; ?>',
  	typenow = '<?php echo $current_screen->post_type; ?>',
  	adminpage = '<?php echo $admin_body_class; ?>',
***************
*** 76,81 ****
--- 71,79 ----
  if ( get_user_setting('mfold') == 'f' )
  	$admin_body_class .= ' folded';
  
+ if ( !get_user_setting('unfold') )
+ 	$admin_body_class .= ' auto-fold';
+ 
  if ( is_admin_bar_showing() )
  	$admin_body_class .= ' admin-bar';
  
***************
*** 94,100 ****
  
  ?>
  </head>
! <body class="wp-admin no-js <?php echo apply_filters( 'admin_body_class', '' ) . " $admin_body_class"; ?>">
  <script type="text/javascript">
  	document.body.className = document.body.className.replace('no-js','js');
  </script>
--- 92,98 ----
  
  ?>
  </head>
! <body class="wp-admin wp-core-ui no-js <?php echo apply_filters( 'admin_body_class', '' ) . " $admin_body_class"; ?>">
  <script type="text/javascript">
  	document.body.className = document.body.className.replace('no-js','js');
  </script>
***************
*** 107,112 ****
--- 105,111 ----
  ?>
  
  <div id="wpwrap">
+ <a tabindex="1" href="#wpbody-content" class="screen-reader-shortcut"><?php _e('Skip to main content'); ?></a>
  <?php require(ABSPATH . 'wp-admin/menu-header.php'); ?>
  <div id="wpcontent">
  
***************
*** 122,128 ****
  
  ?>
  
! <div id="wpbody-content">
  <?php
  
  $current_screen->render_screen_meta();
--- 121,127 ----
  
  ?>
  
! <div id="wpbody-content" aria-label="<?php esc_attr_e('Main content'); ?>" tabindex="0">
  <?php
  
  $current_screen->render_screen_meta();
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/admin.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/admin.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/admin.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/admin.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 29,34 ****
--- 29,36 ----
  
  require_once(dirname(dirname(__FILE__)) . '/wp-load.php');
  
+ nocache_headers();
+ 
  if ( get_option('db_upgraded') ) {
  	flush_rewrite_rules();
  	update_option( 'db_upgraded',  false );
***************
*** 51,56 ****
--- 53,59 ----
  		 * @since 2.8.4b
  		 */
  		$c = get_blog_count();
+ 		// If 50 or fewer sites, run every time. Else, run "about ten percent" of the time. Shh, don't check that math.
  		if ( $c <= 50 || ( $c > 50 && mt_rand( 0, (int)( $c / 50 ) ) == 1 ) ) {
  			require_once( ABSPATH . WPINC . '/http.php' );
  			$response = wp_remote_get( admin_url( 'upgrade.php?step=1' ), array( 'timeout' => 120, 'httpversion' => '1.1' ) );
***************
*** 65,72 ****
  
  auth_redirect();
  
- nocache_headers();
- 
  // Schedule trash collection
  if ( !wp_next_scheduled('wp_scheduled_delete') && !defined('WP_INSTALLING') )
  	wp_schedule_event(time(), 'daily', 'wp_scheduled_delete');
--- 68,73 ----
***************
*** 79,85 ****
  wp_reset_vars(array('profile', 'redirect', 'redirect_url', 'a', 'text', 'trackback', 'pingback'));
  
  wp_enqueue_script( 'common' );
- wp_enqueue_script( 'jquery-color' );
  
  $editing = false;
  
--- 80,85 ----
***************
*** 187,192 ****
--- 187,194 ----
  		exit;
  	}
  
+ 	do_action( 'load-importer-' . $importer );
+ 
  	$parent_file = 'tools.php';
  	$submenu_file = 'import.php';
  	$title = __('Import');
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/async-upload.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/async-upload.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/async-upload.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/async-upload.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 13,33 ****
  else
  	require_once('../wp-load.php');
  
! // Flash often fails to send cookies with the POST or upload, so we need to pass it in GET or POST instead
! if ( is_ssl() && empty($_COOKIE[SECURE_AUTH_COOKIE]) && !empty($_REQUEST['auth_cookie']) )
! 	$_COOKIE[SECURE_AUTH_COOKIE] = $_REQUEST['auth_cookie'];
! elseif ( empty($_COOKIE[AUTH_COOKIE]) && !empty($_REQUEST['auth_cookie']) )
! 	$_COOKIE[AUTH_COOKIE] = $_REQUEST['auth_cookie'];
! if ( empty($_COOKIE[LOGGED_IN_COOKIE]) && !empty($_REQUEST['logged_in_cookie']) )
! 	$_COOKIE[LOGGED_IN_COOKIE] = $_REQUEST['logged_in_cookie'];
! unset($current_user);
! require_once('./admin.php');
  
! header('Content-Type: text/html; charset=' . get_option('blog_charset'));
  
  if ( !current_user_can('upload_files') )
  	wp_die(__('You do not have permission to upload files.'));
  
  // just fetch the detail form for that attachment
  if ( isset($_REQUEST['attachment_id']) && ($id = intval($_REQUEST['attachment_id'])) && $_REQUEST['fetch'] ) {
  	$post = get_post( $id );
--- 13,47 ----
  else
  	require_once('../wp-load.php');
  
! if ( ! ( isset( $_REQUEST['action'] ) && 'upload-attachment' == $_REQUEST['action'] ) ) {
! 	// Flash often fails to send cookies with the POST or upload, so we need to pass it in GET or POST instead
! 	if ( is_ssl() && empty($_COOKIE[SECURE_AUTH_COOKIE]) && !empty($_REQUEST['auth_cookie']) )
! 		$_COOKIE[SECURE_AUTH_COOKIE] = $_REQUEST['auth_cookie'];
! 	elseif ( empty($_COOKIE[AUTH_COOKIE]) && !empty($_REQUEST['auth_cookie']) )
! 		$_COOKIE[AUTH_COOKIE] = $_REQUEST['auth_cookie'];
! 	if ( empty($_COOKIE[LOGGED_IN_COOKIE]) && !empty($_REQUEST['logged_in_cookie']) )
! 		$_COOKIE[LOGGED_IN_COOKIE] = $_REQUEST['logged_in_cookie'];
! 	unset($current_user);
! }
  
! require_once('./admin.php');
  
  if ( !current_user_can('upload_files') )
  	wp_die(__('You do not have permission to upload files.'));
  
+ header('Content-Type: text/html; charset=' . get_option('blog_charset'));
+ 
+ if ( isset( $_REQUEST['action'] ) && 'upload-attachment' === $_REQUEST['action'] ) {
+ 	define( 'DOING_AJAX', true );
+ 	include ABSPATH . 'wp-admin/includes/ajax-actions.php';
+ 
+ 	send_nosniff_header();
+ 	nocache_headers();
+ 
+ 	wp_ajax_upload_attachment();
+ 	die( '0' );
+ }
+ 
  // just fetch the detail form for that attachment
  if ( isset($_REQUEST['attachment_id']) && ($id = intval($_REQUEST['attachment_id'])) && $_REQUEST['fetch'] ) {
  	$post = get_post( $id );
***************
*** 37,55 ****
  	if ( ! current_user_can( $post_type_object->cap->edit_post, $id ) )
  		wp_die( __( 'You are not allowed to edit this item.' ) );
  
! 	if ( 2 == $_REQUEST['fetch'] ) {
! 		add_filter('attachment_fields_to_edit', 'media_single_attachment_fields_to_edit', 10, 2);
! 		echo get_media_item($id, array( 'send' => false, 'delete' => true ));
! 	} else {
! 		add_filter('attachment_fields_to_edit', 'media_post_single_attachment_fields_to_edit', 10, 2);
! 		echo get_media_item($id);
  	}
  	exit;
  }
  
  check_admin_referer('media-form');
  
! $id = media_handle_upload('async-upload', $_REQUEST['post_id']);
  if ( is_wp_error($id) ) {
  	echo '<div class="error-div">
  	<a class="dismiss" href="#" onclick="jQuery(this).parents(\'div.media-item\').slideUp(200, function(){jQuery(this).remove();});">' . __('Dismiss') . '</a>
--- 51,86 ----
  	if ( ! current_user_can( $post_type_object->cap->edit_post, $id ) )
  		wp_die( __( 'You are not allowed to edit this item.' ) );
  
! 	switch ( $_REQUEST['fetch'] ) {
! 		case 3 :
! 			if ( $thumb_url = wp_get_attachment_image_src( $id, 'thumbnail', true ) )
! 				echo '<img class="pinkynail" src="' . esc_url( $thumb_url[0] ) . '" alt="" />';
! 			echo '<a class="edit-attachment" href="' . esc_url( get_edit_post_link( $id ) ) . '" target="_blank">' . _x( 'Edit', 'media item' ) . '</a>';
! 			$title = $post->post_title ? $post->post_title : wp_basename( $post->guid ); // title shouldn't ever be empty, but use filename just in cas.e
! 			echo '<div class="filename new"><span class="title">' . esc_html( wp_html_excerpt( $title, 60 ) ) . '</span></div>';
! 			break;
! 		case 2 :
! 			add_filter('attachment_fields_to_edit', 'media_single_attachment_fields_to_edit', 10, 2);
! 			echo get_media_item($id, array( 'send' => false, 'delete' => true ));
! 			break;
! 		default:
! 			add_filter('attachment_fields_to_edit', 'media_post_single_attachment_fields_to_edit', 10, 2);
! 			echo get_media_item($id);
! 			break;
  	}
  	exit;
  }
  
  check_admin_referer('media-form');
  
! $post_id = 0;
! if ( isset( $_REQUEST['post_id'] ) ) {
! 	$post_id = absint( $_REQUEST['post_id'] );
! 	if ( ! get_post( $post_id ) || ! current_user_can( 'edit_post', $post_id ) )
! 		$post_id = 0;
! }
! 
! $id = media_handle_upload( 'async-upload', $post_id );
  if ( is_wp_error($id) ) {
  	echo '<div class="error-div">
  	<a class="dismiss" href="#" onclick="jQuery(this).parents(\'div.media-item\').slideUp(200, function(){jQuery(this).remove();});">' . __('Dismiss') . '</a>
